OpenTTD Source: TileTypeProcs Struct Reference

OpenTTD Source 15.3

Data Fields
TileTypeProcs Struct Reference

Set of callback functions for performing tile operations of a given tile type. More...

`#include <tile_cmd.h>`

## Data Fields
DrawTileProc * | draw_tile_proc
| Called to render the tile and its contents to the screen.
GetSlopeZProc * | get_slope_z_proc
ClearTileProc * | clear_tile_proc
AddAcceptedCargoProc * | add_accepted_cargo_proc
| Adds accepted cargo of the tile to cargo array supplied as parameter.
GetTileDescProc * | get_tile_desc_proc
| Get a description of a tile (for the 'land area information' tool)
GetTileTrackStatusProc * | get_tile_track_status_proc
| Get available tracks and status of a tile.
ClickTileProc * | click_tile_proc
| Called when tile is clicked.
AnimateTileProc * | animate_tile_proc
TileLoopProc * | tile_loop_proc
ChangeTileOwnerProc * | change_tile_owner_proc
AddProducedCargoProc * | add_produced_cargo_proc
| Adds produced cargo of the tile to cargo array supplied as parameter.
VehicleEnterTileProc * | vehicle_enter_tile_proc
| Called when a vehicle enters a tile.
GetFoundationProc * | get_foundation_proc
TerraformTileProc * | terraform_tile_proc
| Called when a terraforming operation is about to take place.
CheckBuildAboveProc * | check_build_above_proc

## Detailed Description

Set of callback functions for performing tile operations of a given tile type.

See also
  TileType

Definition at line 152 of file tile_cmd.h.

## Field Documentation

## ◆ add_accepted_cargo_proc

AddAcceptedCargoProc* TileTypeProcs::add_accepted_cargo_proc

Adds accepted cargo of the tile to cargo array supplied as parameter.

Definition at line 156 of file tile_cmd.h.

## ◆ add_produced_cargo_proc

AddProducedCargoProc* TileTypeProcs::add_produced_cargo_proc

Adds produced cargo of the tile to cargo array supplied as parameter.

Definition at line 163 of file tile_cmd.h.

## ◆ animate_tile_proc

AnimateTileProc* TileTypeProcs::animate_tile_proc

Definition at line 160 of file tile_cmd.h.

## ◆ change_tile_owner_proc

ChangeTileOwnerProc* TileTypeProcs::change_tile_owner_proc

Definition at line 162 of file tile_cmd.h.

## ◆ check_build_above_proc

CheckBuildAboveProc* TileTypeProcs::check_build_above_proc

Definition at line 167 of file tile_cmd.h.

## ◆ clear_tile_proc

ClearTileProc* TileTypeProcs::clear_tile_proc

Definition at line 155 of file tile_cmd.h.

## ◆ click_tile_proc

ClickTileProc* TileTypeProcs::click_tile_proc

Called when tile is clicked.

Definition at line 159 of file tile_cmd.h.

## ◆ draw_tile_proc

DrawTileProc* TileTypeProcs::draw_tile_proc

Called to render the tile and its contents to the screen.

Definition at line 153 of file tile_cmd.h.

Referenced by ViewportAddLandscape().

## ◆ get_foundation_proc

GetFoundationProc* TileTypeProcs::get_foundation_proc

Definition at line 165 of file tile_cmd.h.

## ◆ get_slope_z_proc

GetSlopeZProc* TileTypeProcs::get_slope_z_proc

Definition at line 154 of file tile_cmd.h.

## ◆ get_tile_desc_proc

GetTileDescProc* TileTypeProcs::get_tile_desc_proc

Get a description of a tile (for the 'land area information' tool)

Definition at line 157 of file tile_cmd.h.

## ◆ get_tile_track_status_proc

GetTileTrackStatusProc* TileTypeProcs::get_tile_track_status_proc

Get available tracks and status of a tile.

Definition at line 158 of file tile_cmd.h.

Referenced by GetTileTrackStatus().

## ◆ terraform_tile_proc

TerraformTileProc* TileTypeProcs::terraform_tile_proc

Called when a terraforming operation is about to take place.

Definition at line 166 of file tile_cmd.h.

Referenced by CmdTerraformLand().

## ◆ tile_loop_proc

TileLoopProc* TileTypeProcs::tile_loop_proc

Definition at line 161 of file tile_cmd.h.

## ◆ vehicle_enter_tile_proc

VehicleEnterTileProc* TileTypeProcs::vehicle_enter_tile_proc

Called when a vehicle enters a tile.

Definition at line 164 of file tile_cmd.h.

Referenced by VehicleEnterTile().

The documentation for this struct was generated from the following file:

- src/tile_cmd.h